//
//  TSLiveWallpaperCopyrightVC.swift
//  TSLiveWallpaper
//
//  Created by 100Years on 2024/12/26.
//


class TSLiveWallpaperCopyrightVC: TSBaseVC {
    
    
    lazy var titleLabel: UILabel = {
        let view = UILabel.createLabel(text: "Copyright Notice",font: .font(size: 24,weight: .medium),textColor: UIColor.fromHex("FFFFFF",alpha: 0.8),numberOfLines: 0)
        return view
    }()
    
    lazy var contentLabel: UILabel = {
        let view = UILabel.createLabel(text: "100 Years Later Company attaches great importance to the copyright of images, but as a content provider, we cannot guarantee the accuracy of the reviewed content. If you find any infringing content, please inform us immediately and we will immediately remove it. Contact",font: .font(size: 14,weight: .regular),textColor: UIColor.fromHex("FFFFFF",alpha: 0.6),numberOfLines: 0)
        return view
    }()
    
    lazy var emailLabel: UILabel = {
        let view = UILabel.createLabel(text: "Email: snapmusic6688@gmail.com",font: .font(size: 16,weight: .regular),textColor: UIColor.fromHex("FFFFFF"),numberOfLines: 0)
        return view
    }()
    
    override func createView() {
        addNormalNavBarView()
        setPageTitle("")
        
        contentView.addSubview(titleLabel)
        contentView.addSubview(contentLabel)
        contentView.addSubview(emailLabel)
        
        titleLabel.snp.makeConstraints { make in
            make.top.equalTo(11)
            make.leading.equalTo(16)
            make.trailing.equalTo(-16)
        }
        
        contentLabel.snp.makeConstraints { make in
            make.top.equalTo(titleLabel.snp.bottom).offset(24)
            make.leading.equalTo(16)
            make.trailing.equalTo(-16)
        }
        
        emailLabel.snp.makeConstraints { make in
            make.top.equalTo(contentLabel.snp.bottom).offset(16)
            make.leading.equalTo(16)
            make.trailing.equalTo(-16)
        }
    }
    
}
